### Hierarchy

- Console

## Index

### Properties

- memory

### Methods

- assert
- clear
- count
- debug
- dir
- dirxml
- error
- exception
- group
- groupCollapsed
- groupEnd
- info
- log
- markTimeline
- profile
- profileEnd
- table
- time
- timeEnd
- timeStamp
- timeline
- timelineEnd
- trace
- warn

## Properties

### memory

memory: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3296

## Methods

### assert

- assert(condition?: undefined | false | true, message?: undefined | string, ...data: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3297

  #### Parameters

  - ##### Optional condition: undefined | false | true

  - ##### Optional message: undefined | string

  - ##### Rest ...data: any[]

  #### Returns void

### clear

- clear(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3298

  #### Returns void

### count

- count(label?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3299

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### debug

- debug(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3300

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### dir

- dir(value?: any, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3301

  #### Parameters

  - ##### Optional value: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### dirxml

- dirxml(value: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3302

  #### Parameters

  - ##### value: any

  #### Returns void

### error

- error(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3303

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### exception

- exception(message?: undefined | string, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3304

  #### Parameters

  - ##### Optional message: undefined | string

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### group

- group(groupTitle?: undefined | string, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3305

  #### Parameters

  - ##### Optional groupTitle: undefined | string

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### groupCollapsed

- groupCollapsed(groupTitle?: undefined | string, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3306

  #### Parameters

  - ##### Optional groupTitle: undefined | string

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### groupEnd

- groupEnd(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3307

  #### Returns void

### info

- info(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3308

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### log

- log(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3309

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### markTimeline

- markTimeline(label?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3310

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### profile

- profile(reportName?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3311

  #### Parameters

  - ##### Optional reportName: undefined | string

  #### Returns void

### profileEnd

- profileEnd(reportName?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3312

  #### Parameters

  - ##### Optional reportName: undefined | string

  #### Returns void

### table

- table(...tabularData: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3313

  #### Parameters

  - ##### Rest ...tabularData: any[]

  #### Returns void

### time

- time(label?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3314

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### timeEnd

- timeEnd(label?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3315

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### timeStamp

- timeStamp(label?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3316

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### timeline

- timeline(label?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3317

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### timelineEnd

- timelineEnd(label?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3318

  #### Parameters

  - ##### Optional label: undefined | string

  #### Returns void

### trace

- trace(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3319

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

### warn

- warn(message?: any, ...optionalParams: any[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3320

  #### Parameters

  - ##### Optional message: any

  - ##### Rest ...optionalParams: any[]

  #### Returns void

Generated using TypeDoc